Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 740900 - mail-filter/amavisd-new: please drop dependency on dev-perl/ZMQ-LibZMQ3
Summary: mail-filter/amavisd-new: please drop dependency on dev-perl/ZMQ-LibZMQ3
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Ralph Seichter
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: 741454
  Show dependency tree
 
Reported: 2020-09-07 22:16 UTC by Thomas Deutschmann
Modified: 2020-10-15 22:12 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Deutschmann gentoo-dev Security 2020-09-07 22:16:49 UTC
Hi,

I would like to last-rite <net-libs/zeromq-4.

Only dev-perl/ZMQ-LibZMQ3 used by mail-filter/amavisd-new is still depending on zeromq-3. Others have already removed zeromq support from amavisd-new. Can we do the same or do you consider this as a critical feature we cannot get rid of?
Comment 1 Ralph Seichter 2020-09-11 12:13:23 UTC
I admit I do not rightly know why amavis has this dependency, other than 0MQ being used in amavisd, amavisd-status and amavisd-snmp-subagent-zmq, the latter not being deployed on Gentoo anyway.

0MQ support was added in version 2.8 (anno 2012). I'd have to ask around if it is still relevant.
Comment 2 Ralph Seichter 2020-09-14 14:53:41 UTC
I've opened an upstream issue: https://gitlab.com/amavis/amavis/-/issues/66
Comment 3 Ralph Seichter 2020-10-13 20:46:06 UTC
It has now been four weeks, but there was less upstream feedback than I had hoped for. If that does not change, we will likely need to find a Gentoo-specific approach.
Comment 4 Sam James archtester gentoo-dev Security 2020-10-14 17:56:47 UTC
(In reply to Ralph Seichter from comment #3)
> It has now been four weeks, but there was less upstream feedback than I had
> hoped for. If that does not change, we will likely need to find a
> Gentoo-specific approach.

A lame approach is use.masking it and mention in pkg_postinst if users had it enabled. Possibly better is a news item, although it's a bit niche, we can only show it if users have it installed.
Comment 5 Thomas Deutschmann gentoo-dev Security 2020-10-14 18:00:35 UTC
pkg_postinst and only showing for <$PV-with-this-change should be enough.

But because it is hidden behind a USE flag I would just drop it in a rev bump straight to stable.
Comment 6 Ralph Seichter 2020-10-15 19:24:44 UTC
Based on Thomas' suggestion, I have created a pull request which renders the "zmq"  USE flag obsolete and drops the associated ebuild content.
Comment 7 Larry the Git Cow gentoo-dev 2020-10-15 22:12:58 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ce0708605b03a9a9f2bc82367009b20e3e8dfda5

commit ce0708605b03a9a9f2bc82367009b20e3e8dfda5
Author:     Ralph Seichter <github@seichter.de>
AuthorDate: 2020-10-15 18:56:48 +0000
Commit:     Thomas Deutschmann <whissi@gentoo.org>
CommitDate: 2020-10-15 22:12:51 +0000

    mail-filter/amavisd-new: Drop 0MQ support
    
    As discussed in https://bugs.gentoo.org/740900, this ebuild drops
    support for 0MQ, in a deliberate straight-to-stable commit.
    
    Closes: https://bugs.gentoo.org/740900
    Package-Manager: Portage-3.0.8, Repoman-3.0.1
    Signed-off-by: Ralph Seichter <gentoo@seichter.de>
    Closes: https://github.com/gentoo/gentoo/pull/17939
    Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>

 ....12.0-r4.ebuild => amavisd-new-2.12.0-r5.ebuild} | 21 ++-------------------
 mail-filter/amavisd-new/metadata.xml                |  1 -
 2 files changed, 2 insertions(+), 20 deletions(-)